Bulk create creatives

Create several creatives in one account in a single request. The operation is atomic: if any creative fails validation, no creatives are created.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Create several creatives in one account's Creative Library in a single request. Each creative in the collection follows the same rules as Create a creative.

POST /backstage/api/1.0/demo-advertiser/creatives/bulk
{
  "collection": [
    {
      "creative_type": "STATIC_IMAGE",
      "name": "Summer sale hero 1",
      "url": "https://www.demo-advertiser.com/summer-sale",
      "thumbnail_url": "https://cdn.demo-advertiser.com/thumbnails/summer-sale-1.jpg",
      "title": "Summer sale: up to 50% off"
    },
    {
      "creative_type": "STATIC_IMAGE",
      "name": "Summer sale hero 2",
      "url": "https://www.demo-advertiser.com/summer-sale",
      "thumbnail_url": "https://cdn.demo-advertiser.com/thumbnails/summer-sale-2.jpg",
      "title": "New arrivals for summer"
    }
  ]
}
{
  "elements": [
    {
      "value": {
        "id": 4321000011,
        "name": "Summer sale hero 1",
        "account_id": "demo-advertiser",
        "status": "ACTIVE",
        "creative_type": "STATIC_IMAGE",
        "url": "https://www.demo-advertiser.com/summer-sale",
        "thumbnail_url": "https://cdn.demo-advertiser.com/thumbnails/summer-sale-1.jpg",
        "title": "Summer sale: up to 50% off",
        ...
      },
      "error": null
    },
    {
      "value": {
        "id": 4321000012,
        "name": "Summer sale hero 2",
        "account_id": "demo-advertiser",
        "status": "ACTIVE",
        "creative_type": "STATIC_IMAGE",
        "url": "https://www.demo-advertiser.com/summer-sale",
        "thumbnail_url": "https://cdn.demo-advertiser.com/thumbnails/summer-sale-2.jpg",
        "title": "New arrivals for summer",
        ...
      },
      "error": null
    }
  ]
}
{
  "http_status": 400,
  "message": "Missing required field",
  "offending_field": "title"
}
📘

Request object

collection - a list of creative objects to create. You can mix creative types in the same request.

🚧

Guidelines

  1. The operation is atomic: if any creative fails validation, no creatives are created and the error is returned for the whole request.
  2. The response is an elements list in the same order as the request. Each element has the created creative in value and error = null.
  3. The new creatives are unassigned. To create ads from them, see Assigning creatives to campaigns.
  4. All creatives are created in the account in the path. To create creatives across several accounts, use Bulk upsert creatives.
  5. Creative consolidation applies to each creative: a creative identical to an existing one returns the existing creative, and creatives identical to each other within the request result in a single creative.
📘

See also

Path Params
string
required

An alphabetic ID. See Get Account Details.

Body Params
json
required
Defaults to { "collection": [ { "creative_type": "STATIC_IMAGE", "url": "https://www.demo-advertiser.com/summer-sale", "thumbnail_url": "https://cdn.demo-advertiser.com/thumbnails/summer-sale-1.jpg", "title": "Summer sale: up to 50% off" }, { "creative_type": "STATIC_IMAGE", "url": "https://www.demo-advertiser.com/summer-sale", "thumbnail_url": "https://cdn.demo-advertiser.com/thumbnails/summer-sale-2.jpg", "title": "New arrivals for summer" } ] }

An object with a collection of creative objects - refer to the notes provided.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json